Bug 3285 - [UPDATE REQUEST] nvidia, nvidia-long-lived, fglrx
: [UPDATE REQUEST] nvidia, nvidia-long-lived, fglrx
Status: VERIFIED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Highest blocker
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-12-01 21:12 MSK by Aleksandr Kazantcev
Modified: 2013-12-03 09:39 MSK (History)
2 users (show)

See Also:
RPM Package:
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
alexander.kazantsev: published+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Aleksandr Kazantcev 2013-12-01 21:12:48 MSK
Blobs now add 'nomodeset' to grub2.cfg in package %post stage.
Comment 1 Aleksandr Kazantcev 2013-12-01 21:36:33 MSK
nvidia
https://abf.rosalinux.ru/build_lists/1451841
https://abf.rosalinux.ru/build_lists/1451842

nvidia-long-lived
https://abf.rosalinux.ru/build_lists/1451837
https://abf.rosalinux.ru/build_lists/1451838

fglrx
https://abf.rosalinux.ru/build_lists/1451835
https://abf.rosalinux.ru/build_lists/1451836


Advisory: To prevent crash system with error in XFdrake and delete 'nomodeset' string from grub2.cfg we now add this in 'post' part of package installation.
Comment 2 Vladimir Potapov 2013-12-02 08:28:42 MSK
The package route to exteneded testing
Comment 3 Aleksandr Kazantcev 2013-12-02 10:18:29 MSK
На EFI системах нужно еще будет обновить grub2

https://abf.rosalinux.ru/build_lists/1451909
https://abf.rosalinux.ru/build_lists/1451910
Comment 4 Vladimir Potapov 2013-12-02 11:07:51 MSK
У меня нету EFI с блобами...
Comment 5 Postnikov Dmitry 2013-12-02 12:45:27 MSK
У нас тоже нету EFI с блобами. (только Optimus на EFI есть).
Comment 6 Postnikov Dmitry 2013-12-02 15:50:36 MSK
(In reply to comment #1)
> 
> fglrx
> https://abf.rosalinux.ru/build_lists/1451835
> https://abf.rosalinux.ru/build_lists/1451836
> 
> 
> Advisory: To prevent crash system with error in XFdrake and delete
> 'nomodeset' string from grub2.cfg we now add this in 'post' part of package
> installation.

I have so:
1. Install Fresh R1
2. Updated from Yandex-repo
3. Install fglrx from Yandex-repo
4. All works
5. Deleted old repo, ON new repo from ABF.
6. Updated with ABF
7. X-s is not loaded.
8. Set the kernel parameters hands 'nomodeset'
9. X-s loaded, KDM appears, and keyboard and mouse do not work.
10. Carried in the single driver fglrx and xorg.conf
11. Install fglrx form this bug
12. All OK. X-s loaded and the mouse and keyboard work, in grub.cfg write 'nomodeset'

If earlier we had in Normal mode WITHOUT 'nomodeset', and in Safe mode WITH 'nomodeset'. Now the difference in the modes of load no.
Strangely it. And why are we in Grab then Safe mode, it is not clear if now everything is the same. Now you can menu Grub cut 'Доп.параметры' there are no longer required.
Comment 7 Vladimir Potapov 2013-12-03 04:31:16 MSK
x11-driver-video-nvidia-current-325.15-6-rosa2012.1
x11-driver-video-nvidia-current-325.15-6-rosa2012.1
x11-driver-video-fglrx-13.200.5-4-rosa2012.
******************************* Advisory **************************
To prevent crash system with error in XFdrake and delete 'nomodeset' string from grub2.cfg we now add this in 'post' part of package installation.
*******************************************************************
QA Verified